Subject: [link-relations] NEW RELATION - annotation-server (request for review)

From: "Martin J. Dürst" <[email-masked]>
Date: Thu, 08 Sep 2011 10:43:52 +0900

Hello Mark, Eran, Julian,

I just updated my http://tools.ietf.org/html/draft-duerst-anno-link for 
the "annotation-server" link relationship. I would like to get your (and 
everybody else's on this list) input on it. The registration template is 
as follows:

    Relation Name:
       annotation-server

    Description:
       Designates an annotation server used to store annotations
       for the link's context.

    Reference:
       RFC YYYY [RFC Editor: Please replace with actual RFC number.]

    Notes:
       currently none

    Application Data:
       currently none
<<<<<<<<

I don't think I'm on this list, so please keep me in the cc.

Regards,    Martin.

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Thu, 08 Sep 2011 19:01:05 +0300

Your draft makes normative reference to Annotea specification, but lacks 
of clear description how it is connected to it.  Also, a link to 
<http://www.w3.org/2001/Annotea/User/Protocol> is missing there.

Mykyta

08.09.2011 4:43, "Martin J. Dürst" wrote:
> I just updated my http://tools.ietf.org/html/draft-duerst-anno-link 
> for the "annotation-server" link relationship. I would like to get 
> your (and everybody else's on this list) input on it. The registration 
> template is as follows:
>
> >>>>>>>>
>    Relation Name:
>       annotation-server
>
>    Description:
> _______________________________________________
> link-relations mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/link-relations
>

---

From: Ed Summers <[email-masked]>
Date: Mon, 12 Sep 2011 10:51:10 -0400

Hi Martin,

Thanks for writing about your annotation-server link relation proposal
[1]. I wonder, have you put any thought into how it could be used with
annotation services other than Annotea? I happen to be monitoring a
project called the Open Annotation Collaboration (OAC) [2]. I
forwarded your message on to them, and got an interesting response [3]
asking if 'annotation-server' could be used with annotation services
other than Annotea.

Could the media type could be used to distinguish different annotation
services? Or would different rel values be needed?

//Ed

[1] http://www.ietf.org/mail-archive/web/link-relations/current/msg00281.html
[2] http://www.openannotation.org/
[3] https://groups.google.com/d/msg/oac-discuss/pqoIDO9AjPE/grHEwLm8fZcJ

On Wed, Sep 7, 2011 at 9:43 PM, "Martin J. Dürst"
<[email-masked]> wrote:
> I just updated my http://tools.ietf.org/html/draft-duerst-anno-link for the
> "annotation-server" link relationship. I would like to get your (and
> everybody else's on this list) input on it. The registration template is as
> follows:
>
>>>>>>>>>
>   Relation Name:
>      annotation-server
>
>   Description: